Skip to content
Browse files

Support recent Clojure versions.

  • Loading branch information...
1 parent 363fdc8 commit ef110bfafc7d9d1dc228a256508348819355822b @gcv committed Apr 9, 2013
Showing with 11 additions and 11 deletions.
  1. +2 −0 .gitignore
  2. +4 −7 README.md
  3. +4 −3 project.clj
  4. +1 −1 version.properties
View
2 .gitignore
@@ -1,2 +1,4 @@
+.lein-failures
*.jar
classes/
+target/
View
11 README.md
@@ -53,11 +53,8 @@ GUI programming, applied to Swing.
## Getting Started
-dgraph has no dependencies except Clojure itself. dgraph works with Clojure 1.0,
-1.1, 1.2, and 1.2.1. Clojure versions 1.1 or later are recommended, however, as
-bound-fn is required for computed nodes which execute code on more than one
-thread (see the Documentation and Limitations sections below). Clojure 1.1 or
-later is also required for the dgraph test suite.
+dgraph has no dependencies except Clojure itself. dgraph works with Clojure
+versions 1.2.0 and later.
### Option 1: Ant
@@ -70,7 +67,7 @@ later is also required for the dgraph test suite.
### Option 2: Leiningen
-Add a dependency on `[dgraph "1.2.1"]` to your `project.clj` file. Leiningen
+Add a dependency on `[dgraph "1.2.2"]` to your `project.clj` file. Leiningen
will pull the dgraph dependency from Clojars.
@@ -82,7 +79,7 @@ from Clojars.
<dependency>
<groupId>dgraph</groupId>
<artifactId>dgraph</artifactId>
- <version>1.1.1</version>
+ <version>1.2.2</version>
</dependency>
View
7 project.clj
@@ -1,4 +1,5 @@
-(defproject dgraph "1.2.1"
+(defproject dgraph "1.2.2"
:description "A dependency graph library for Clojure."
- :dependencies [[org.clojure/clojure "1.2.1"]]
- :dev-dependencies [[swank-clojure "1.3.1"]])
+ :url "https://github.com/gcv/dgraph"
+ :exclusions [org.clojure/clojure]
+ :dependencies [[org.clojure/clojure "1.5.0"]])
View
2 version.properties
@@ -1 +1 @@
-version=1.2.1
+version=1.2.2

0 comments on commit ef110bf

Please sign in to comment.
Something went wrong with that request. Please try again.